Bug 1001266 - sunpinyin : duplicate documentation files / potentially conflicting [NEEDINFO]
sunpinyin : duplicate documentation files / potentially conflicting
Status: NEW
Product: Fedora
Classification: Fedora
Component: sunpinyin (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Liang Suilong
Fedora Extras Quality Assurance
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
Reported: 2013-08-26 15:57 EDT by Michael Schwendt
Modified: 2017-07-27 02:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: needinfo? (liangsuilong)

Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 15:57:50 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned

General discussion of this problem:

Further information:

[semi-automated bug report]


=> sunpinyin-2.0.4-0.9.fc20.src.rpm
=> sunpinyin-data-2.0.4-0.9.fc20.i686 in fedora-development-i386
  File conflict with: sunpinyin-2.0.4-0.9.fc20.i686

=> sunpinyin-2.0.4-0.9.fc20.src.rpm
=> sunpinyin-2.0.4-0.9.fc20.i686 in fedora-development-i386
  File conflict with: sunpinyin-data-2.0.4-0.9.fc20.i686
Comment 1 Jaroslav Reznik 2015-03-03 10:00:45 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
Comment 2 Ville Skyttä 2015-10-18 03:38:00 EDT
sunpinyin-2.0.4-0.14.fc23 is still affected.
Comment 3 Michael Schwendt 2015-12-29 15:06:15 EST
Fix committed to Rawhide.

Unfortunately, it didn't even build anymore with the new pod2man. I've added a couple of more fixes to the spec file as well.

Is anyone still taking care of the "sunpinyin" Fedora package?
Comment 4 Jan Kurik 2016-02-24 08:13:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 5 Fedora End Of Life 2017-07-25 14:34:49 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.